@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');


:root {
    /* Cor Background */
    --bg-base: #ffffff;
    --bg-base-dark: #000;
    --bg-base-grey: #f2f2f5;
    --bg-base-grey-dark: #d5d5da;
    --bg-base-yellow: #ffc757;
    
    --bg-base-windows: #f7b42c;
    --bg-base-linux: #f7b42c;
    --bg-base-android: #f7b42c;
    --bg-base-macos: #f7b42c;
    --bg-base-ios: #f7b42c;
    
    /* Cor primaria */

    /* Cor secundaria */
    --color-bg-seller: rgb(106, 209, 106);

    /* Cor para fonts */
    --text-dark: #202020;
    --text-grey: #7D7D7D;
    --text-light: #fff;
    --text-yellow: #ffc757;
    --text-danger: red;

    /* Cor para butões */
    --color-bg-btn-dark: #000000;
    --color-bg-btn-danger: red;
    --color-bg-btn-sucess: green;
    --color-bg-btn-light: ;
    --color-bg-btn-yellow: #ffc757;

    /* Cor para butões hover */
    --color-bg-btn-hover: #7d7d7d;
    --color-bg-btn-danger-hover: rgb(182, 0, 0);
    --color-bg-btn-yellow-hover: #ffc757;

    /* Sombras */
    --box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.151);

    /* Transições */
    --transition-all: all 0.3s ease;

    /* Bordas */
    --color-border: #7d7d7d;
}

* {
    margin: 0;
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-weight: 350;
    font-style: normal;
    box-sizing: border-box;
    color: var(--text-dark);
    text-decoration: none;
}

body {
    display: flex;
    flex-direction: column;
    background-color: var(--bg-base);
    height: 100vh;
}


* {
    scrollbar-width: thin;
    scrollbar-color: var(--bg-base-yellow) transparent;
}

/* Chrome, Edge e Safari */
*::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}

*::-webkit-scrollbar-track {
    background: transparent;
    border-radius: 999px;
}

*::-webkit-scrollbar-thumb {
    background: linear-gradient(
        180deg,
        var(--bg-base-yellow),
        #d4a106
    );
    border-radius: 999px;
    border: 1px solid transparent;
    background-clip: padding-box;
}

*::-webkit-scrollbar-thumb:hover {
    background: linear-gradient(
        180deg,
        #c89200,
        #a87400
    );
}

*::-webkit-scrollbar-corner {
    background: transparent;
}

/* Configuração padrão para botões */
.btn {
    border: none;
    background-color: transparent;
    cursor: pointer;
}

main {
    z-index: 0;
}